# macros for sysvinit transition - should be equal to
# sysvinit %version-%release-plus-1
%define sysvinit_version 2.87
%define sysvinit_release 17

%define libdaemon_major 0
%define liblogin_major 0
%define libjournal_major 0
%define libid128_major 0

%define libdaemon %mklibname systemd-daemon %{libdaemon_major}
%define libdaemon_devel %mklibname -d systemd-daemon %{libdaemon_major}

%define liblogin %mklibname systemd-login %{liblogin_major}
%define liblogin_devel %mklibname -d systemd-login %{liblogin_major}

%define libjournal %mklibname systemd-journal %{libjournal_major}
%define libjournal_devel %mklibname -d systemd-journal %{libjournal_major}

%define libid128 %mklibname systemd-id128 %{libid128_major}
%define libid128_devel %mklibname -d systemd-id128 %{libid128_major}

%define udev_major 1
%define gudev_api 1.0
%define gudev_major 0
%define libudev %mklibname udev %{udev_major}
%define libudev_devel %mklibname udev -d
%define libgudev %mklibname gudev %{gudev_api} %{gudev_major}
%define libgudev_devel %mklibname gudev %{gudev_api} -d
%define girgudev %mklibname gudev-gir %{gudev_api}

%define systemd_libdir /lib/systemd
%define udev_libdir /lib/udev
%define udev_rules_dir %{udev_libdir}/rules.d
%define udev_user_rules_dir %{_sysconfdir}/udev/rules.d

#define _udevhwdbdir	/lib/udev/hwdb.d

Summary:	A System and Session Manager
Name:		systemd
Version:	208
Release:	36
License:	GPLv2+
Group:		System/Configuration/Boot and Init
Url:		http://www.freedesktop.org/wiki/Software/systemd
Source0:	http://www.freedesktop.org/software/systemd/%{name}-%{version}.tar.xz
Source2:	50-udev-mandriva.rules
Source3:	69-printeracl.rules
Source5:	udev.sysconfig
# (blino) net rules and helpers
Source6:	76-net.rules
Source7:	udev_net_create_ifcfg
Source8:	udev_net_action
Source9:	udev_net.sysconfig
# (hk) udev rules for zte 3g modems with drakx-net
Source10:	61-mobile-zte-drakx-net.rules
Source11:	listen.conf
# (tpg) default preset for services
Source12:	90-default.preset
Source13:	85-display-manager.preset
Source14:	99-default-disable.preset
# Our efi boot generator
Source15:	systemd-efi-boot-generator
Source100:	%{name}.rpmlintrc

### SYSTEMD ###

# (cg) "Stable" Patches for v208 from http://cgit.freedesktop.org/systemd/systemd-stable/log/?h=v208-stable
Patch001:	0001-acpi-fptd-fix-memory-leak-in-acpi_get_boot_usec.patch
Patch002:	0002-fix-lingering-references-to-var-lib-backlight-random.patch
Patch003:	0003-acpi-make-sure-we-never-free-an-uninitialized-pointe.patch
Patch004:	0004-systemctl-fix-name-mangling-for-sysv-units.patch
Patch005:	0005-cryptsetup-fix-OOM-handling-when-parsing-mount-optio.patch
Patch006:	0006-journald-add-missing-error-check.patch
Patch007:	0007-bus-fix-potentially-uninitialized-memory-access.patch
Patch008:	0008-dbus-fix-return-value-of-dispatch_rqueue.patch
Patch009:	0009-modules-load-fix-error-handling.patch
Patch010:	0010-efi-never-call-qsort-on-potentially-NULL-arrays.patch
Patch011:	0011-strv-don-t-access-potentially-NULL-string-arrays.patch
Patch012:	0012-mkdir-pass-a-proper-function-pointer-to-mkdir_safe_i.patch
Patch013:	0013-tmpfiles.d-include-setgid-perms-for-run-log-journal.patch
Patch014:	0014-execute.c-always-set-SHELL.patch
Patch015:	0015-man-Improve-the-description-of-parameter-X-in-tmpfil.patch
Patch016:	0016-execute-more-debugging-messages.patch
Patch017:	0017-gpt-auto-generator-exit-immediately-if-in-container.patch
Patch018:	0018-systemd-order-remote-mounts-from-mountinfo-before-re.patch
Patch019:	0019-manager-when-verifying-whether-clients-may-change-en.patch
Patch020:	0020-logind-fix-bus-introspection-data-for-TakeControl.patch
Patch021:	0021-mount-check-for-NULL-before-reading-pm-what.patch
Patch022:	0022-core-do-not-add-what-to-RequiresMountsFor-for-networ.patch
Patch023:	0023-utf8-fix-utf8_is_printable.patch
Patch024:	0024-shared-util-fix-off-by-one-error-in-tag_to_udev_node.patch
Patch025:	0025-systemd-serialize-deserialize-forbid_restart-value.patch
Patch026:	0026-core-unify-the-way-we-denote-serialization-attribute.patch
Patch027:	0027-journald-fix-minor-memory-leak.patch
Patch028:	0028-keymap-Fix-Samsung-900X-34-C.patch
Patch029:	0029-do-not-accept-garbage-from-acpi-firmware-performance.patch
Patch030:	0030-journald-remove-rotated-file-from-hashmap-when-rotat.patch
Patch031:	0031-login-fix-invalid-free-in-sd_session_get_vt.patch
Patch032:	0032-login-make-sd_session_get_vt-actually-work.patch
Patch033:	0033-udevadm.xml-document-resolve-names-option-for-test.patch
Patch034:	0034-Never-call-qsort-on-potentially-NULL-arrays.patch
Patch035:	0035-dbus-common-avoid-leak-in-error-path.patch
Patch036:	0036-drop-ins-check-return-value.patch
Patch037:	0037-Make-sure-that-we-don-t-dereference-NULL.patch
#Patch038:	0038-gitignore-ignore-clang-analyze-output.patch
Patch039:	0039-man-add-more-markup-to-udevadm-8.patch
Patch040:	0040-shared-util-Fix-glob_extend-argument.patch
Patch041:	0041-Fix-bad-assert-in-show_pid_array.patch
Patch042:	0042-Fix-for-SIGSEGV-in-systemd-bootchart-on-short-living.patch
Patch043:	0043-man-document-the-b-special-boot-option.patch
Patch044:	0044-logind-allow-unprivileged-session-device-access.patch
Patch045:	0045-rules-expose-loop-block-devices-to-systemd.patch
Patch046:	0046-rules-don-t-limit-some-of-the-rules-to-the-add-actio.patch
Patch047:	0047-tmpfiles-log-unaccessible-FUSE-mount-points-only-as-.patch
Patch048:	0048-hwdb-update.patch
Patch049:	0049-rules-remove-pointless-MODE-settings.patch
Patch050:	0050-analyze-set-white-backgound.patch
Patch051:	0051-shell-completion-dump-has-moved-to-systemd-analyze.patch
Patch052:	0052-systemd-use-unit-name-in-PrivateTmp-directories.patch
Patch053:	0053-catalog-remove-links-to-non-existent-wiki-pages.patch
Patch054:	0054-journalctl-add-list-boots-to-show-boot-IDs-and-times.patch
Patch055:	0055-udev-builtin-path_id-add-support-for-bcma-bus.patch
Patch056:	0056-udev-ata_id-log-faling-ioctls-as-debug.patch
Patch057:	0057-libudev-default-log_priority-to-INFO.patch
Patch058:	0058-nspawn-only-pass-in-slice-setting-if-it-is-set.patch
Patch059:	0059-zsh-completion-add-systemd-run.patch
Patch060:	0060-man-explain-NAME-in-systemctl-man-page.patch
Patch061:	0061-virt-move-caching-of-virtualization-check-results-in.patch
Patch062:	0062-systemctl-fix-typo-in-help-text.patch
Patch063:	0063-analyze-plot-place-the-text-on-the-side-with-most-sp.patch
Patch064:	0064-detect_virtualization-returns-NULL-pass-empty-string.patch
Patch065:	0065-rules-load-path_id-on-DRM-devices.patch
Patch066:	0066-rules-simply-60-drm.rules.patch
Patch067:	0067-udev-builtin-keyboard-Fix-large-scan-codes-on-32-bit.patch
Patch068:	0068-nspawn-log-out-of-memory-errors.patch
Patch069:	0069-Configurable-Timeouts-Restarts-default-values.patch
Patch070:	0070-man-fix-typo.patch
Patch071:	0071-man-do-not-use-term-in-para.patch
Patch072:	0072-cgroup-run-PID-1-in-the-root-cgroup.patch
Patch073:	0073-shutdown-trim-the-cgroup-tree-on-loop-iteration.patch
Patch074:	0074-nspawn-split-out-pty-forwaring-logic-into-ptyfwd.c.patch
Patch075:	0075-nspawn-explicitly-terminate-machines-when-we-exit-ns.patch
Patch076:	0076-run-support-system-to-match-other-commands-even-if-r.patch
Patch077:	0077-acpi-fpdt-break-on-zero-or-negative-length-read.patch
Patch078:	0078-man-add-rationale-into-systemd-halt-8.patch
Patch079:	0079-systemd-python-convert-keyword-value-to-string.patch
Patch080:	0080-systemctl-make-LOAD-column-width-dynamic.patch
Patch081:	0081-Make-hibernation-test-work-for-swap-files.patch
Patch082:	0082-man-add-docs-for-sd_is_special-and-some-man-page-sym.patch
Patch083:	0083-systemctl-return-r-instead-of-always-returning-0.patch
Patch084:	0084-journal-fix-minor-memory-leak.patch
Patch085:	0085-manager-configurable-StartLimit-default-values.patch
Patch086:	0086-man-units-fix-installation-of-systemd-nspawn-.servic.patch
Patch087:	0087-systemd-fix-memory-leak-in-cgroup-code.patch
Patch088:	0088-button-don-t-exit-if-we-cannot-handle-a-button-press.patch
Patch089:	0089-timer-properly-format-relative-timestamps-in-the-fut.patch
Patch090:	0090-timer-consider-usec_t-1-an-invalid-timestamp.patch
Patch091:	0091-udev-usb_id-remove-obsoleted-bInterfaceSubClass-5-ma.patch
Patch092:	0092-Add-support-for-saving-restoring-keyboard-backlights.patch
Patch093:	0093-static-nodes-don-t-call-mkdir.patch
Patch094:	0094-Fix-kmod-error-message-to-have-correct-version-requi.patch
Patch095:	0095-systemd-python-fix-booted-and-add-two-functions-to-d.patch
Patch096:	0096-activate-mention-E-in-the-help-text.patch
Patch097:	0097-activate-fix-crash-when-s-is-passed.patch
Patch098:	0098-journal-timestamp-support-on-console-messages.patch
Patch099:	0099-man-add-bootctl-8.patch
Patch100:	0100-zsh-completion-add-bootctl.patch
Patch101:	0101-Resolve-dev-console-to-the-active-tty-instead-of-jus.patch
Patch102:	0102-Only-disable-output-on-console-during-boot-if-needed.patch
Patch103:	0103-Fix-possible-lack-of-status-messages-on-shutdown-reb.patch
Patch104:	0104-fsck-modernization.patch
Patch105:	0105-Introduce-udev-object-cleanup-functions.patch
Patch106:	0106-util-allow-trailing-semicolons-on-define_trivial_cle.patch
Patch107:	0107-fsck-fstab-generator-be-lenient-about-missing-fsck.-.patch
Patch108:	0108-fstab-generator-use-RequiresOverridable-for-fsck-uni.patch
Patch109:	0109-bash-completion-journalctl-file.patch
Patch110:	0110-random-seed-improve-debugging-messages-a-bit.patch
Patch111:	0111-Fix-RemainAfterExit-services-keeping-a-hold-on-conso.patch
Patch112:	0112-tmpfiles-adjust-excludes-for-the-new-per-service-pri.patch
Patch113:	0113-core-socket-fix-SO_REUSEPORT.patch
Patch114:	0114-localed-match-converted-keymaps-before-legacy.patch
Patch115:	0115-keymap-Add-Toshiba-Satellite-U940.patch
Patch116:	0116-calendar-support-yearly-and-annually-names-the-same-.patch
Patch117:	0117-hashmap-be-a-bit-more-conservative-with-pre-allocati.patch
Patch118:	0118-manager-don-t-do-plymouth-in-a-container.patch
Patch119:	0119-nspawn-add-new-drop-capability-switch.patch
Patch120:	0120-valgrind-make-running-PID-1-in-valgrind-useful.patch
Patch121:	0121-efi-boot-generator-don-t-mount-boot-eagerly.patch
Patch122:	0122-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch123:	0123-journal-when-appending-to-journal-file-allocate-larg.patch
Patch124:	0124-journal-make-table-const.patch
Patch125:	0125-journald-keep-statistics-on-how-of-we-hit-miss-the-m.patch
Patch126:	0126-journal-optimize-bisection-logic-a-bit-by-caching-th.patch
Patch127:	0127-journal-fix-iteration-when-we-go-backwards-from-the-.patch
Patch128:	0128-journal-allow-journal_file_copy_entry-to-work-on-non.patch
Patch129:	0129-journal-simplify-pre-allocation-logic.patch
Patch130:	0130-journald-mention-how-long-we-needed-to-flush-to-var-.patch
Patch131:	0131-automount-log-info-about-triggering-process.patch
Patch132:	0132-virt-split-detect_vm-into-separate-functions.patch
Patch133:	0133-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch134:	0134-sysfs-show.c-return-negative-error.patch
Patch135:	0135-util.c-check-if-return-value-from-ttyname_r-is-0-ins.patch
Patch136:	0136-docs-remove-unneeded-the-s-in-gudev-docs.patch
Patch137:	0137-man-explicitly-say-when-multiple-units-can-be-specif.patch
Patch138:	0138-systemd-treat-reload-failure-as-failure.patch
Patch139:	0139-journal-fail-silently-in-sd_j_sendv-if-journal-is-un.patch
Patch140:	0140-systemd-add-a-start-job-for-all-units-specified-with.patch
# (cg) NB This patch is buggy and causes /run/nologin problems (rhbz#1043212)
# but it is reverted again below.
Patch141:	0141-core-device-ignore-SYSTEMD_WANTS-in-user-mode.patch
Patch142:	0142-Fix-memory-leak-in-stdout-journal-streams.patch
Patch143:	0143-man-document-is-enabled-output.patch
# (cg) Below is not technically a backport (fixed differently upstream in kdbus work?)
Patch144:	0144-hostnamed-avoid-using-NULL-in-error-path.patch
# (cg) Below is not technically a backport (fixed differently upstream in kdbus work)
Patch145:	0145-logind-use-correct-who-enum-values-with-KillUnit.patch
# (cg) Revert buggy patch mentioned a few lines above
Patch146:	0146-Revert-systemd-add-a-start-job-for-all-units-specifi.patch
# (cg) Below is not technically a backport (fixed differently upstream in kdbus work?)
Patch147:	0147-core-do-not-segfault-if-swap-activity-happens-when-p.patch
Patch148:	0148-kernel-install-add-h-help.patch
Patch149:	0149-kernel-install-fix-help-output.patch
Patch150:	0150-man-improve-wording-and-comma-usage-in-systemd.journ.patch
Patch151:	0151-drop-several-entries-from-kbd-model-map-whose-kbd-la.patch
Patch152:	0152-correct-name-of-Tajik-kbd-layout-in-kbd-model-map.patch
Patch153:	0153-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch154:	0154-Ensure-unit-is-journaled-for-short-lived-or-oneshot-.patch
Patch155:	0155-libudev-hwdb-use-libudev-not-systemd-logging.patch
Patch156:	0156-core-manager-remove-infinite-loop.patch
Patch157:	0157-util-check-for-overflow-in-greedy_realloc.patch
Patch158:	0158-journald-use-a-bit-more-cleanup-magic.patch
Patch159:	0159-journald-malloc-less-when-streaming-messages.patch
Patch160:	0160-activate-clean-up-inherited-descriptors.patch
Patch161:	0161-man-explain-in-more-detail-how-SYSTEMD_READY-influen.patch
Patch162:	0162-units-don-t-run-readahead-done-timers-in-containers.patch
Patch163:	0163-test-fileio-replace-mktemp-with-mkstemp-to-avoid-war.patch
Patch164:	0164-journal-pipe-journalctl-help-output-into-a-pager.patch
Patch165:	0165-nspawn-complain-and-continue-if-machine-has-same-id.patch
Patch166:	0166-man-beef-up-ExecStart-description.patch
Patch167:	0167-man-remove-advice-to-avoid-setting-the-same-var-more.patch
Patch168:	0168-systemctl-add-the-plain-option-to-the-help-message.patch
Patch169:	0169-Fix-a-few-resource-leaks-in-error-paths.patch
Patch170:	0170-Fix-a-few-signed-unsigned-format-string-issues.patch
Patch171:	0171-util-try-harder-to-increase-the-send-recv-buffers-of.patch
Patch172:	0172-execute-also-set-SO_SNDBUF-when-spawning-a-service-w.patch
Patch173:	0173-journal-file-protect-against-alloca-0.patch
Patch174:	0174-man-describe-journalctl-show-cursor.patch
Patch175:	0175-journal-fix-against-theoretical-undefined-behavior.patch
Patch176:	0176-journald-downgrade-warning-message-when-dev-kmsg-doe.patch
Patch177:	0177-journal-file.c-remove-redundant-assignment-of-variab.patch
Patch178:	0178-login-Don-t-stop-a-running-user-manager-from-garbage.patch
Patch179:	0179-libudev-devices-received-from-udev-are-always-initia.patch
Patch180:	0180-log-don-t-reopen-dev-console-each-time-we-call-log_o.patch
Patch181:	0181-log-when-we-log-to-dev-console-and-got-disconnected-.patch
Patch182:	0182-loginctl-when-showing-device-tree-of-seats-with-no-d.patch
Patch183:	0183-man-be-more-explicit-about-option-arguments-that-tak.patch
Patch184:	0184-man-add-DOI-for-refereed-article-on-Forward-Secure-S.patch
Patch185:	0185-journalctl-zsh-completion-fix-several-issues-in-help.patch
Patch186:	0186-keymap-Refactor-Acer-tables.patch
Patch187:	0187-logging-reduce-send-timeout-to-something-more-sensib.patch
Patch188:	0188-DEFAULT_PATH_SPLIT_USR-macro.patch
Patch189:	0189-fstab-generator-Do-not-try-to-fsck-non-devices.patch
Patch190:	0190-logind-remove-dead-variable.patch
Patch191:	0191-hwdb-update.patch
Patch192:	0192-delta-replace-readdir_r-with-readdir.patch
Patch193:	0193-delta-fix-delta-for-drop-ins.patch
Patch194:	0194-delta-if-prefix-is-specified-only-show-overrides-the.patch
Patch195:	0195-log-log_error-and-friends-add-a-newline-after-each-l.patch
Patch196:	0196-man-units-tmpfiles.d-5-cleanup.patch
Patch197:	0197-tmpfiles-introduce-the-concept-of-unsafe-operations.patch
Patch198:	0198-sleep-config-fix-useless-check-for-swapfile-type.patch
Patch199:	0199-journalctl-make-sure-b-foobar-cannot-be-misunderstoo.patch
Patch200:	0200-man-resolve-word-omissions.patch
Patch201:	0201-man-improvements-to-comma-placement.patch
Patch202:	0202-man-grammar-and-wording-improvements.patch
Patch203:	0203-man-document-fail-nofail-auto-noauto.patch
Patch204:	0204-man-fix-description-of-is-enabled-returned-value.patch
Patch205:	0205-man-fix-Type-reference.patch
Patch206:	0206-man-fix-Type-reference-v2.patch
Patch207:	0207-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch208:	0208-man-add-a-note-about-propagating-signals.patch
Patch209:	0209-man-include-autoconf-snippet-in-daemon-7.patch
Patch210:	0210-systemd-python-fix-setting-of-exception-codes.patch
Patch211:	0211-systemd-python-fix-listen_fds-under-Python-2.patch
Patch212:	0212-man-expand-on-some-more-subtle-points-in-systemd.soc.patch
Patch213:	0213-tmpfiles-rename-unsafe-to-boot.patch
Patch214:	0214-sleep-config-Dereference-pointer-before-check-for-NU.patch
Patch215:	0215-sleep-config-fix-double-free.patch
Patch216:	0216-rules-drivers-do-not-reset-RUN-list.patch
Patch217:	0217-core-manager-print-info-about-interesting-signals.patch
Patch218:	0218-core-service-check-if-mainpid-matches-only-if-it-is-.patch
Patch219:	0219-man-typo-fix.patch
Patch220:	0220-swap-remove-if-else-with-the-same-data-path.patch
Patch221:	0221-hwdb-update.patch
Patch222:	0222-journal-Add-missing-byte-order-conversions.patch
Patch223:	0223-hwdb-change-key-mappings-for-Samsung-90X3A.patch
Patch224:	0224-hwdb-add-Samsung-700G.patch
Patch225:	0225-hwdb-remove-duplicate-entry-for-Samsung-700Z.patch
Patch226:	0226-hwdb-fix-match-for-Thinkpad-X201-tablet.patch
Patch227:	0227-keymap-Recognize-different-Toshiba-Satellite-capital.patch
Patch228:	0228-sleep.c-fix-typo.patch
Patch229:	0229-delta-ensure-that-d_type-will-be-set-on-every-fs.patch
Patch230:	0230-tmpfiles-don-t-allow-label_fix-to-print-ENOENT-when-.patch
Patch231:	0231-man-mention-which-variables-will-be-expanded-in-Exec.patch
Patch232:	0232-hwdb-Add-support-for-Toshiba-Satellite-P75-A7200-key.patch
Patch233:	0233-journal-fix-access-to-munmapped-memory-in-sd_journal.patch
Patch234:	0234-gpt-auto-generator-skip-nonexistent-devices.patch
Patch235:	0235-gpt-auto-generator-use-EBADSLT-code-when-unable-to-d.patch
Patch236:	0236-journald-do-not-free-space-when-disk-space-runs-low.patch
Patch237:	0237-man-add-busctl-1.patch
Patch238:	0238-journalctl-flip-to-full-by-default.patch
Patch239:	0239-coredumpctl-in-case-of-error-free-pattern-after-prin.patch
Patch240:	0240-shell-completion-remove-load-from-systemctl.patch
Patch241:	0241-units-drop-Install-section-from-multi-user.target-an.patch
Patch242:	0242-systemctl-skip-native-unit-file-handling-if-sysv-fil.patch
Patch243:	0243-hwdb-Update-database-of-Bluetooth-company-identifier.patch
Patch244:	0244-udev-static_node-do-not-exit-rule-after-first-static.patch
# (cg) Disabled in fedora spec
#Patch245:	0245-cryptsetup-Support-key-slot-option.patch
Patch246:	0246-pam_systemd-Ignore-vtnr-when-seat-seat0.patch
Patch247:	0247-keymap-Add-HP-Chromebook-14-Falco.patch
Patch248:	0248-keymap-Add-release-quirk-for-Acer-AOA-switchvideomod.patch
Patch249:	0249-keymap-Add-Sony-Vaio-VGN-FW250.patch
Patch250:	0250-keymap-Add-Toshiba-EQUIUM.patch
Patch251:	0251-tmpfiles-fix-memory-leak-of-exclude_prefixes.patch
Patch252:	0252-analyze-fix-plot-issues-when-using-gummiboot.patch
Patch253:	0253-udev-add-zram-to-the-list-of-devices-inappropriate-f.patch
Patch254:	0254-bash-completion-fix-completion-of-complete-verbs.patch
Patch255:	0255-shell-completion-fix-completion-of-localectl-set-loc.patch
Patch256:	0256-zsh-completions-kernel-install-only-show-existing-ke.patch
Patch257:	0257-core-fix-crashes-if-locale.conf-contains-invalid-utf.patch
Patch258:	0258-core-do-not-print-invalid-utf-8-in-error-messages.patch
Patch259:	0259-cryptsetup-generator-auto-add-deps-for-device-as-pas.patch
Patch260:	0260-man-fix-reference-in-systemd-inhibit-1.patch
Patch261:	0261-man-fix-another-reference-in-systemd-inhibit-1.patch
Patch262:	0262-fstab-generator-Create-fsck-root-symlink-with-correc.patch
Patch263:	0263-efi-fix-Undefined-reference-efi_loader_get_boot_usec.patch
Patch264:	0264-core-make-StopWhenUnneeded-work-in-conjunction-with-.patch
Patch265:	0265-man-always-place-programlisting-and-programlisting-i.patch
Patch266:	0266-Temporary-work-around-for-slow-shutdown-due-to-unter.patch
Patch267:	0267-pam-module-fix-warning-about-ignoring-vtnr.patch
Patch268:	0268-pam_systemd-do-not-set-XDG_RUNTIME_DIR-if-the-sessio.patch
Patch269:	0269-core-do-not-segfault-if-proc-swaps-cannot-be-opened.patch
Patch270:	0270-Revert-login-Don-t-stop-a-running-user-manager-from-.patch
Patch271:	0271-Revert-journalctl-flip-to-full-by-default.patch

#Mageia/ROSA patchset
Patch500:	0500-main-Add-failsafe-to-the-sysvinit-compat-cmdline-key.patch
Patch501:	0501-Allow-booting-from-live-cd-in-virtualbox.patch
Patch502:	0502-reinstate-TIMEOUT-handling.patch
Patch503:	0503-udev-Allow-the-udevadm-settle-timeout-to-be-set-via-.patch
Patch504:	0504-Mageia-Relax-perms-on-sys-kernel-debug-for-lspcidrak.patch
Patch505:	0505-udev-rules-Apply-SuSE-patch-to-restore-cdrom-cdrw-dv.patch
Patch508:	0508-udev-store-hwbase-in-udev-dir.patch
Patch509:	0509-pam_systemd-Always-reset-XDG_RUNTIME_DIR.patch
#Patch510:	0510-logind-use-correct-who-enum-values-with-KillUnit.patch
Patch511:	0511-logind-Partial-backport-of-cc377381.patch
Patch512:	0512-pam-Suppress-errors-in-the-SuSE-patch-to-unset-XDG_R.patch
Patch513:	0513-systemctl-Do-not-attempt-native-calls-for-enable-dis.patch
Patch514:	0514-systemctl-Ensure-the-no-reload-and-no-redirect-optio.patch
Patch516:	0516-journalctl-flip-to-full-by-default.patch
Patch517:	0517-max_journald_size_100M.patch
Patch518:	0518-hwdb-Add-support-for-Packard-Bell-wlan-keys.patch

#SUSE patchset
#Patch1000:	1000-check-4-valid-kmsg-device.patch

BuildRequires:	docbook-style-xsl
BuildRequires:	gperf
BuildRequires:	intltool
BuildRequires:	libtool
# make sure we have /etc/os-release available, required by --with-distro
BuildRequires:	rosa-release-common
BuildRequires:	vala >= 0.9
BuildRequires:	xsltproc
BuildRequires:	acl-devel
BuildRequires:	audit-devel
BuildRequires:	libcap-devel
BuildRequires:	pam-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(dbus-1) >= 1.4.0
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(efivar)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libcryptsetup)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libkmod) >= 5
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpci)
BuildRequires:	pkgconfig(libqrencode)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(python)
Requires:	bash-completion >= 2.1
Requires:	chkconfig
Requires:	dbus
Requires:	efivar
#Need for efi generator
Requires:	gdisk
# (tpg) just to be sure we install this libraries
Requires:	libsystemd-daemon = %{EVRD}
Requires:	libsystemd-login = %{EVRD}
Requires:	libsystemd-journal = %{EVRD}
Requires:	libsystemd-id128 = %{EVRD}
Requires:	lockdev
Requires:	kmod
Requires:	nss-myhostname
Requires:	udev = %{EVRD}
Requires(pre,post):	coreutils
Requires(post):	awk
Requires(post):	gawk
Requires(post):	grep
Requires(pre):	basesystem-minimal
Requires(pre):	initscripts > 9.24
Requires(pre):	util-linux >= 2.18-2
Conflicts:	initscripts < 9.24
Conflicts:	udev < 204
Provides:	should-restart = system
%rename		readahead

%description
systemd is a system and session manager for Linux, compatible with
SysV and LSB init scripts. systemd provides aggressive parallelization
capabilities, uses socket and D-Bus activation for starting services,
offers on-demand starting of daemons, keeps track of processes using
Linux cgroups, supports snapshotting and restoring of the system
state, maintains mount and automount points and implements an
elaborate transactional dependency-based service control logic. It can
work as a drop-in replacement for sysvinit.

%files
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.systemd1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.hostname1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.locale1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.login1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.machine1.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.timedate1.conf
%{_sysconfdir}/pam.d/%{name}-user
%config(noreplace) %{_sysconfdir}/systemd/system.conf
%config(noreplace) %{_sysconfdir}/systemd/logind.conf
%config(noreplace) %{_sysconfdir}/systemd/journald.conf
%config(noreplace) %{_sysconfdir}/systemd/user.conf
%config(noreplace) %{_sysconfdir}/rsyslog.d/listen.conf
%config(noreplace) %{_sysconfdir}/systemd/bootchart.conf
%config(noreplace) /usr/lib/sysctl.d/50-coredump.conf
%config(noreplace) /usr/lib/sysctl.d/50-default.conf
%ghost %config(noreplace) %{_sysconfdir}/hostname
%ghost %config(noreplace) %{_sysconfdir}/vconsole.conf
%ghost %config(noreplace) %{_sysconfdir}/locale.conf
%ghost %config(noreplace) %{_sysconfdir}/machine-id
%ghost %config(noreplace) %{_sysconfdir}/machine-info
%ghost %config(noreplace) %{_sysconfdir}/timezone
%ghost %config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf
%dir /run
%dir %{systemd_libdir}
%dir %{systemd_libdir}/*-generators
%dir %{systemd_libdir}/system-shutdown
%dir %{systemd_libdir}/system-sleep
%dir %{systemd_libdir}/ntp-units.d
%dir %{systemd_libdir}/system-preset
%dir %{systemd_libdir}/user-preset
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/binfmt.d
%{_prefix}/lib/kernel/install.d/*.install
%{_datadir}/bash-completion/completions/*
%{_sysconfdir}/xdg/systemd
/bin/systemd-ask-password
/bin/systemd-notify
/bin/systemd-tmpfiles
/bin/systemd-tty-ask-password-agent
/bin/systemd
/bin/journalctl
/bin/loginctl
/bin/systemd-inhibit
/bin/machinectl
/sbin/systemd-machine-id-setup
%{_bindir}/systemd-delta
%{_bindir}/systemd-detect-virt
%{_bindir}/systemd-loginctl
%{_bindir}/bootctl
%{_bindir}/hostnamectl
%{_bindir}/kernel-install
%{_bindir}/localectl
%{_bindir}/systemd-coredumpctl
%{_bindir}/timedatectl
%{_bindir}/systemd-run
%{systemd_libdir}/systemd*
%exclude %{systemd_libdir}/systemd-udevd
%{systemd_libdir}/*-generators/*
%{systemd_libdir}/system-preset/90-default.preset
%{systemd_libdir}/system-preset/99-default-disable.preset
%{systemd_libdir}/system-preset/85-display-manager.preset
/usr/lib/tmpfiles.d/*.conf
/%{_lib}/security/pam_systemd.so
%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.*
%{_bindir}/systemd-cgls
%{_bindir}/systemd-nspawn
%{_bindir}/systemd-stdio-bridge
%{_bindir}/systemd-cat
%{_bindir}/systemd-cgtop
%{_mandir}/man1/systemd.*
%{_mandir}/man1/systemd-ask-password.*
%{_mandir}/man1/systemd-tty-ask-password-agent.*
%{_mandir}/man1/systemd-cat.1*
%{_mandir}/man1/systemd-cgls.*
%{_mandir}/man1/systemd-cgtop.*
%{_mandir}/man1/journalctl.1*
%{_mandir}/man1/loginctl.*
%{_mandir}/man1/systemd-machine-id-setup.1*
%{_mandir}/man1/systemd-notify.*
%{_mandir}/man1/systemd-nspawn.*
%{_mandir}/man1/systemd-delta.1.*
%{_mandir}/man1/systemd-detect-virt.1.*
%{_mandir}/man1/systemd-inhibit.1.*
%{_mandir}/man1/busctl.1.*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/pam_systemd.*
%{_mandir}/man8/systemd-*
%{_mandir}/man1/hostnamectl.*
%{_mandir}/man1/localectl.*
%{_mandir}/man1/systemd-bootchart.*
%{_mandir}/man1/systemd-coredumpctl.*
%{_mandir}/man1/timedatectl.*
%{_mandir}/man1/bootctl.*
%{_mandir}/man1/machinectl.*
%{_mandir}/man1/systemd-run.*
%{_mandir}/man8/kernel-install.*
%{_mandir}/man8/nss-myhostname.*
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.hostname1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.locale1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.login1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.timedate1.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.systemd1.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.hostname1*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.locale1*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.timedate1*.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.machine1.service
%{_datadir}/polkit-1/actions/org.freedesktop.systemd1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.hostname1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.locale1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.login1.policy
%{_datadir}/polkit-1/actions/org.freedesktop.timedate1.policy
%{_datadir}/systemd/kbd-model-map
%{_docdir}/systemd
%{_initddir}/systemd.README
%{_var}/log/systemd.README
%{_libdir}/libnss_myhostname.so.2
%attr(02755,root,systemd-journal) %dir %{_logdir}/journal

#----------------------------------------------------------------------------

%package tools
Summary:	Non essential systemd tools
Group:		System/Configuration/Boot and Init
Requires:	%{name} = %{EVRD}
Conflicts:	%{name} < 35-6
Requires:	python-dbus
Requires:	python-cairo

%description tools
Non essential systemd tools.

%files tools
%{_bindir}/systemd-analyze
%{_mandir}/man1/systemd-analyze.1*
%dir %{python_sitearch}/%{name}
%{python_sitearch}/%{name}/*.py*
%{python_sitearch}/%{name}/*.so

#----------------------------------------------------------------------------

%package units
Summary:	Configuration files, directories and installation tool for systemd
Group:		System/Configuration/Boot and Init
Requires(post):	awk
Requires(post):	coreutils
Requires(post):	gawk
Requires(post):	grep

%description units
Basic configuration files, directories and installation tool for the systemd
system and session manager.

%files units
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/binfmt.d
/bin/systemctl
%{_bindir}/systemctl
%{systemd_libdir}/system
/usr/lib/systemd/
%{_datadir}/zsh/site-functions
%{_sysconfdir}/profile.d/40systemd.sh
%{_sysconfdir}/rpm/macros.d/%{name}.macros
%{_mandir}/man1/systemctl.*
%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel2.target
%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel3.target
%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel4.target
%ghost %config(noreplace) %{_sysconfdir}/systemd/system/runlevel5.target

#----------------------------------------------------------------------------

%package sysvinit
Summary:	System V init tools
Group:		System/Configuration/Boot and Init
Requires:	%{name} = %{EVRD}
# (eugeni) systemd should work as a drop-in replacement for sysvinit, but not obsolete it
#SysVinit < %sysvinit_release-%sysvinit_release It's provides something
#like that SysVinit < 14-14 when it should be SysVinit 2.87-14
Provides:	sysvinit = %{sysvinit_version}-%{sysvinit_release}
Provides:	SysVinit = %{sysvinit_version}-%{sysvinit_release}
Conflicts:	sysvinit < %{sysvinit_version}-%{sysvinit_release}
Conflicts:	SysVinit < %{sysvinit_version}-%{sysvinit_release}
# Due to halt/poweroff etc. in _bindir
Conflicts:	usermode-consoleonly < 1:1.110

%description sysvinit
Drop-in replacement for the System V init tools of systemd.

%files sysvinit
/sbin/init
/bin/reboot
/bin/halt
/bin/poweroff
/sbin/shutdown
/sbin/telinit
/sbin/runlevel
%{_mandir}/man1/init.*
%{_mandir}/man8/halt.*
%{_mandir}/man8/reboot.*
%{_mandir}/man8/shutdown.*
%{_mandir}/man8/poweroff.*
%{_mandir}/man8/telinit.*
%{_mandir}/man8/runlevel.*
%dir /run

#----------------------------------------------------------------------------

%package -n %{libdaemon}
Summary:	Systemd-daemon library package
Group:		System/Libraries
Provides:	libsystemd-daemon = %{EVRD}

%description -n %{libdaemon}
This package provides the systemd-daemon shared library.

%files -n %{libdaemon}
/%{_lib}/libsystemd-daemon.so.%{libdaemon_major}*

#----------------------------------------------------------------------------

%package -n %{libdaemon_devel}
Summary:	Systemd-daemon library development files
Group:		Development/C
Requires:	%{libdaemon} = %{EVRD}
Provides:	libsystemd-daemon-devel = %{EVRD}

%description -n %{libdaemon_devel}
Development files for the systemd-daemon shared library.

%files -n %{libdaemon_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-daemon.h
%{_libdir}/libsystemd-daemon.so
%{_libdir}/pkgconfig/libsystemd-daemon.pc
%{_datadir}/pkgconfig/systemd.pc
%{_includedir}/systemd/sd-messages.h
%{_includedir}/systemd/sd-shutdown.h

#----------------------------------------------------------------------------

%package -n %{liblogin}
Summary:	Systemd-login library package
Group:		System/Libraries
Provides:	libsystemd-login = %{EVRD}

%description -n %{liblogin}
This package provides the systemd-login shared library.

%files -n %{liblogin}
/%{_lib}/libsystemd-login.so.%{liblogin_major}*

#----------------------------------------------------------------------------

%package -n %{liblogin_devel}
Summary:	Systemd-login library development files
Group:		Development/C
Requires:	%{liblogin} = %{EVRD}
Provides:	libsystemd-login-devel = %{EVRD}

%description -n %{liblogin_devel}
Development files for the systemd-login shared library.

%files -n %{liblogin_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-login.h
%{_libdir}/libsystemd-login.so
%{_libdir}/pkgconfig/libsystemd-login.pc

#----------------------------------------------------------------------------

%package -n %{libjournal}
Summary:	Systemd-journal library package
Group:		System/Libraries
Provides:	libsystemd-journal = %{EVRD}

%description -n %{libjournal}
This package provides the systemd-journal shared library.

%files -n %{libjournal}
/%{_lib}/libsystemd-journal.so.%{libjournal_major}*

#----------------------------------------------------------------------------

%package -n %{libjournal_devel}
Summary:	Systemd-journal library development files
Group:		Development/C
Requires:	%{libjournal} = %{EVRD}
Provides:	libsystemd-journal-devel = %{EVRD}

%description -n %{libjournal_devel}
Development files for the systemd-journal shared library.

%files -n %{libjournal_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-journal.h
%{_libdir}/libsystemd-journal.so
%{_libdir}/pkgconfig/libsystemd-journal.pc

#----------------------------------------------------------------------------

%package -n %{libid128}
Summary:	Systemd-id128 library package
Group:		System/Libraries
Provides:	libsystemd-id128 = %{EVRD}

%description -n %{libid128}
This package provides the systemd-id128 shared library.

%files -n %{libid128}
/%{_lib}/libsystemd-id128.so.%{libid128_major}*

#----------------------------------------------------------------------------

%package -n %{libid128_devel}
Summary:	Systemd-id128 library development files
Group:		Development/C
Requires:	%{libid128} = %{EVRD}
Provides:	libsystemd-id128-devel = %{EVRD}

%description -n %{libid128_devel}
Development files for the systemd-id128 shared library.

%files -n %{libid128_devel}
%dir %{_includedir}/systemd
%{_includedir}/systemd/sd-id128.h
%{_libdir}/libsystemd-id128.so
%{_libdir}/pkgconfig/libsystemd-id128.pc

#----------------------------------------------------------------------------

%package -n udev
Summary:	Device manager for the Linux kernel
Group:		System/Configuration/Hardware
Requires:	%{name} = %{EVRD}
Requires:	acl
Requires:	ldetect-lst
Requires:	setup >= 2.7.16
Requires:	util-linux-ng >= 2.15
# for disk/lp groups
Requires(pre):	setup
Requires(pre):	coreutils
Requires(post,preun):	rpm-helper
Provides:	should-restart = system
Obsoletes:	hal <= 0.5.14-6

%description -n udev
A collection of tools and a daemon to manage events received
from the kernel and deal with them in user-space. Primarily this
involves managing permissions, and creating and removing meaningful
symlinks to device nodes in /dev when hardware is discovered or
removed from the system

%files -n udev
%dir /lib/firmware
%dir /lib/firmware/updates
%dir %{udev_libdir}
%dir %{_sysconfdir}/udev
%dir %{udev_rules_dir}
%dir %{_udevhwdbdir}
%{_udevhwdbdir}/20-*.hwdb
%{_udevhwdbdir}/60-*.hwdb
%dir %{_sysconfdir}/udev/agents.d
%dir %{_sysconfdir}/udev/agents.d/usb
%config(noreplace) %{_sysconfdir}/sysconfig/udev
%config(noreplace) %{_sysconfdir}/sysconfig/udev_net
%config(noreplace) %{_sysconfdir}/udev/*.conf
%ghost %config(noreplace,missingok) %attr(0644,root,root) %{_sysconfdir}/scsi_id.config
%{systemd_libdir}/systemd-udevd
%{_bindir}/udevadm
%attr(0755,root,root) /sbin/udevadm
%attr(0755,root,root) %{_sbindir}/udevadm
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) %{udev_libdir}/udevd
%{udev_rules_dir}/*.rules
%attr(0755,root,root) %{udev_libdir}/accelerometer
%attr(0755,root,root) %{udev_libdir}/ata_id
%attr(0755,root,root) %{udev_libdir}/cdrom_id
%attr(0755,root,root) %{udev_libdir}/scsi_id
%attr(0755,root,root) %{udev_libdir}/collect
%attr(0755,root,root) %{udev_libdir}/net_create_ifcfg
%attr(0755,root,root) %{udev_libdir}/net_action
%attr(0755,root,root) %{udev_libdir}/v4l_id
%attr(0755,root,root) %{udev_libdir}/mtd_probe
# From previous Mandriva /etc/udev/devices.d and patches
%attr(0666,root,root) %dev(c,1,3) %{udev_libdir}/devices/null
%attr(0600,root,root) %dev(b,2,0) %{udev_libdir}/devices/fd0
%attr(0600,root,root) %dev(b,2,1) %{udev_libdir}/devices/fd1
%attr(0600,root,root) %dev(c,21,0) %{udev_libdir}/devices/sg0
%attr(0600,root,root) %dev(c,21,1) %{udev_libdir}/devices/sg1
%attr(0600,root,root) %dev(c,9,0) %{udev_libdir}/devices/st0
%attr(0600,root,root) %dev(c,9,1) %{udev_libdir}/devices/st1
%attr(0600,root,root) %dev(c,99,0) %{udev_libdir}/devices/parport0
%dir %{udev_libdir}/devices/cpu
%dir %{udev_libdir}/devices/cpu/0
%attr(0600,root,root) %dev(c,203,0) %{udev_libdir}/devices/cpu/0/cpuid
%attr(0600,root,root) %dev(c,10,184) %{udev_libdir}/devices/cpu/0/microcode
%attr(0600,root,root) %dev(c,202,0) %{udev_libdir}/devices/cpu/0/msr
%attr(0600,root,root) %dev(c,162,0) %{udev_libdir}/devices/rawctl
%attr(0600,root,root) %dev(c,195,0) %{udev_libdir}/devices/nvidia0
%attr(0600,root,root) %dev(c,195,255) %{udev_libdir}/devices/nvidiactl
# Default static nodes to copy to /dev on udevd start
%dir %{udev_libdir}/devices
# From Fedora RPM
%attr(0755,root,root) %dir %{udev_libdir}/devices/net
%attr(0755,root,root) %dir %{udev_libdir}/devices/hugepages
%attr(0755,root,root) %dir %{udev_libdir}/devices/pts
%attr(0755,root,root) %dir %{udev_libdir}/devices/shm
%attr(666,root,root) %dev(c,10,200) %{udev_libdir}/devices/net/tun
%attr(600,root,root) %dev(c,108,0) %{udev_libdir}/devices/ppp
%attr(666,root,root) %dev(c,10,229) %{udev_libdir}/devices/fuse
%attr(660,root,lp) %dev(c,6,0) %{udev_libdir}/devices/lp0
%attr(660,root,lp) %dev(c,6,1) %{udev_libdir}/devices/lp1
%attr(660,root,lp) %dev(c,6,2) %{udev_libdir}/devices/lp2
%attr(660,root,lp) %dev(c,6,3) %{udev_libdir}/devices/lp3
%attr(640,root,disk) %dev(b,7,0) %{udev_libdir}/devices/loop0
%attr(640,root,disk) %dev(b,7,1) %{udev_libdir}/devices/loop1
%attr(640,root,disk) %dev(b,7,2) %{udev_libdir}/devices/loop2
%attr(640,root,disk) %dev(b,7,3) %{udev_libdir}/devices/loop3
%attr(640,root,disk) %dev(b,7,4) %{udev_libdir}/devices/loop4
%attr(640,root,disk) %dev(b,7,5) %{udev_libdir}/devices/loop5
%attr(640,root,disk) %dev(b,7,6) %{udev_libdir}/devices/loop6
%attr(640,root,disk) %dev(b,7,7) %{udev_libdir}/devices/loop7
%{_mandir}/man8/udevadm.8.*

#----------------------------------------------------------------------------

%package -n %{libudev}
Summary:	Library for udev
Group:		System/Libraries
Obsoletes:	%{mklibname hal 1} <= 0.5.14-6

%description -n %{libudev}
Library for udev.

%files -n %{libudev}
/%{_lib}/libudev.so.%{udev_major}*

#----------------------------------------------------------------------------

%package -n %{libudev_devel}
Summary:	Devel library for udev
Group:		Development/C
License:	LGPLv2+
Provides:	udev-devel = %{EVRD}
Requires:	%{libudev} = %{EVRD}

%description -n %{libudev_devel}
Devel library for udev.

%files -n %{libudev_devel}
%{_libdir}/libudev.so
%{_libdir}/pkgconfig/libudev.pc
%{_datadir}/pkgconfig/udev.pc
%{_includedir}/libudev.h

#----------------------------------------------------------------------------

%package -n %{libgudev}
Summary:	Libraries for adding libudev support to applications that use glib
Group:		System/Libraries
#gw please don't remove this again, it is needed by the noarch package
#gudev-sharp
Provides:	libgudev = %{EVRD}

%description -n %{libgudev}
This package contains the libraries that make it easier to use libudev
functionality from applications that use glib.

%files -n %{libgudev}
/%{_lib}/libgudev-%{gudev_api}.so.%{gudev_major}*

#----------------------------------------------------------------------------

%package -n %{girgudev}
Group:		System/Libraries
Summary:	GObject Introspection interface library for gudev
Conflicts:	%{_lib}gudev1.0_0 < 182-5

%description -n %{girgudev}
GObject Introspection interface library for gudev.

%files -n %{girgudev}
%{_libdir}/girepository-1.0/GUdev-%{gudev_api}.typelib

#----------------------------------------------------------------------------

%package -n %{libgudev_devel}
Summary:	Header files for adding libudev support to applications that use glib
Group:		Development/C
Requires:	%{libgudev} = %{EVRD}

%description -n %{libgudev_devel}
This package contains the header and pkg-config files for developing
glib-based applications using libudev functionality.

%files -n %{libgudev_devel}
%{_libdir}/libgudev-%{gudev_api}.so
%{_includedir}/gudev-%{gudev_api}
%{_datadir}/gir-1.0/GUdev-%{gudev_api}.gir
%{_libdir}/pkgconfig/gudev-%{gudev_api}.pc

#----------------------------------------------------------------------------

%package -n udev-doc
Summary:	Udev documentation
Group:		Books/Computer books

%description -n udev-doc
This package contains documentation of udev.

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
find src/ -name "*.vala" -exec touch '{}' \;

%build
autoreconf --force --install --verbose
%serverbuild_hardened

export CONFIGURE_TOP=$PWD

mkdir -p shared
pushd shared
%configure2_5x \
	--with-rootprefix= \
	--with-rootlibdir=/%{_lib} \
	--libexecdir=%{_prefix}/lib \
	--with-distro=mandriva \
	--with-firmware-path=/lib/firmware/updates:/lib/firmware \
	--disable-static \
	--with-sysvinit-path=%{_initrddir} \
	--with-sysvrcd-path=%{_sysconfdir}/rc.d \
	--disable-selinux \
	--enable-split-usr \
	--with-usb-ids-path=/usr/share/hwdata/usb.ids \
	--with-pci-ids-path=/usr/share/hwdata/pci.ids
%make
popd

%install
%makeinstall_std -C shared

mkdir -p %{buildroot}{/bin,%{_sbindir}}

# (bor) create late shutdown and sleep directory
mkdir -p %{buildroot}%{systemd_libdir}/system-shutdown
mkdir -p %{buildroot}%{systemd_libdir}/system-sleep

# Create SysV compatibility symlinks. systemctl/systemd are smart
# enough to detect in which way they are called.
mkdir -p %{buildroot}/sbin
ln -s ..%{systemd_libdir}/systemd %{buildroot}/sbin/init
ln -s ..%{systemd_libdir}/systemd %{buildroot}/bin/systemd
ln -s ../bin/systemctl %{buildroot}/bin/reboot
ln -s ../bin/systemctl %{buildroot}/bin/halt
ln -s ../bin/systemctl %{buildroot}/bin/poweroff
ln -s ../bin/systemctl %{buildroot}/sbin/shutdown
ln -s ../bin/systemctl %{buildroot}/sbin/telinit
ln -s ../bin/systemctl %{buildroot}/sbin/runlevel
ln -s /bin/loginctl %{buildroot}%{_bindir}/systemd-loginctl

# (tpg) dracut needs this
ln -s /bin/systemctl %{buildroot}%{_bindir}/systemctl

# We create all wants links manually at installation time to make sure
# they are not owned and hence overriden by rpm after the used deleted
# them.
rm -r %{buildroot}%{_sysconfdir}/systemd/system/*.target.wants
rm -f %{buildroot}%{_sysconfdir}/systemd/system/display-manager.service

# Make sure the ghost-ing below works
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel2.target
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel3.target
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel4.target
touch %{buildroot}%{_sysconfdir}/systemd/system/runlevel5.target

# Make sure these directories are properly owned
mkdir -p %{buildroot}/%{systemd_libdir}/system/basic.target.wants
mkdir -p %{buildroot}/%{systemd_libdir}/system/default.target.wants
mkdir -p %{buildroot}/%{systemd_libdir}/system/dbus.target.wants
mkdir -p %{buildroot}/%{systemd_libdir}/system/syslog.target.wants

#(tpg) keep these compat symlink
ln -s %{systemd_libdir}/system/systemd-udevd.service %{buildroot}/%{systemd_libdir}/system/udev.service
ln -s %{systemd_libdir}/system/systemd-udev-settle.service %{buildroot}/%{systemd_libdir}/system/udev-settle.service

# And the default symlink we generate automatically based on inittab
rm -f %{buildroot}%{_sysconfdir}/systemd/system/default.target

# (tpg) this is needed
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-generators
mkdir -p %{buildroot}%{_prefix}/lib/systemd/user-generators

# (bor) make sure we own directory for bluez to install service
mkdir -p %{buildroot}/%{systemd_libdir}/system/bluetooth.target.wants

# use consistent naming and permissions for completion scriplets
#mv %{buildroot}%{_sysconfdir}/bash_completion.d/systemd-bash-completion.sh %{buildroot}%{_sysconfdir}/bash_completion.d/systemd
#chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/systemd

# (tpg) use systemd's own mounting capability
sed -i -e 's/^#MountAuto=yes$/MountAuto=yes/' %{buildroot}/etc/systemd/system.conf
sed -i -e 's/^#SwapAuto=yes$/SwapAuto=yes/' %{buildroot}/etc/systemd/system.conf

# (bor) enable rpcbind.target by default so we have something to plug portmapper service into
ln -s ../rpcbind.target %{buildroot}/%{systemd_libdir}/system/multi-user.target.wants

# (bor) machine-id-setup is in /sbin in post-v20
install -d %{buildroot}/sbin && mv %{buildroot}/bin/systemd-machine-id-setup %{buildroot}/sbin

# (eugeni) install /run
mkdir %{buildroot}/run

# (tpg) create missing dir
mkdir -p %{buildroot}%{_libdir}/systemd/user/

# Create new-style configuration files so that we can ghost-own them
touch %{buildroot}%{_sysconfdir}/hostname
touch %{buildroot}%{_sysconfdir}/vconsole.conf
touch %{buildroot}%{_sysconfdir}/locale.conf
touch %{buildroot}%{_sysconfdir}/machine-id
touch %{buildroot}%{_sysconfdir}/machine-info
touch %{buildroot}%{_sysconfdir}/timezone
mkdir -p %{buildroot}%{_sysconfdir}/X11/xorg.conf.d
touch %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/00-keyboard.conf

# (cg) Set up the pager to make it generally more useful
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh << EOF
export SYSTEMD_PAGER="/usr/bin/less -FR"
EOF
chmod 644 %{buildroot}%{_sysconfdir}/profile.d/40systemd.sh

# (akdengi) move rpm macros
mkdir -p %{buildroot}%{_sysconfdir}/rpm/macros.d/
mv  %{buildroot}%{_prefix}/lib/rpm/macros.d/macros.systemd %{buildroot}%{_sysconfdir}/rpm/macros.d/%{name}.macros

# Make sure the NTP units dir exists
mkdir -p %{buildroot}%{systemd_libdir}/ntp-units.d/

# (cg) Make the journal's persistent in order to provide a real syslog implementation
install -m 0755 -d %{buildroot}%{_logdir}/journal

# (tpg) Install default Mandriva preset policy for services
mkdir -p %{buildroot}%{systemd_libdir}/system-preset/
mkdir -p %{buildroot}%{systemd_libdir}/user-preset/
install -m 0644 %{SOURCE12} %{buildroot}%{systemd_libdir}/system-preset/
install -m 0644 %{SOURCE13} %{buildroot}%{systemd_libdir}/system-preset/
install -m 0644 %{SOURCE14} %{buildroot}%{systemd_libdir}/system-preset/

# Install rsyslog fragment
mkdir -p %{buildroot}%{_sysconfdir}/rsyslog.d/
install -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/rsyslog.d/

# (tpg) from mageia
# automatic systemd release on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.filter << EOF
^./lib/systemd/system/
^./etc/systemd/system/
EOF
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script << EOF
#!/bin/sh
if /bin/mountpoint -q /sys/fs/cgroup/systemd; then
    if [ -x /bin/systemctl ]; then
	/bin/systemctl daemon-reload >/dev/null 2>&1 || :
    fi
fi
EOF
chmod 755 %{buildroot}%{_var}/lib/rpm/filetriggers/systemd-daemon-reload.script

#################
#	UDEV	#
#	START	#
#################

install -m 644 %{SOURCE2} %{buildroot}%{udev_rules_dir}/
install -m 644 %{SOURCE3} %{buildroot}%{udev_rules_dir}/
install -m 0644 %{SOURCE5} -D %{buildroot}%{_sysconfdir}/sysconfig/udev
# net rules
install -m 0644 %{SOURCE6} %{buildroot}%{udev_rules_dir}/
install -m 0755 %{SOURCE7} %{buildroot}%{udev_libdir}/net_create_ifcfg
install -m 0755 %{SOURCE8} %{buildroot}%{udev_libdir}/net_action
install -m 0644 %{SOURCE9} %{buildroot}%{_sysconfdir}/sysconfig/udev_net

install -m 0644 %{SOURCE10} %{buildroot}%{udev_rules_dir}/

# unless we make a decission to merge /*bin with /usr/*bin, we'll aim for FHS
# compliance and make sure to keep thing in their traditional locations
mv %{buildroot}/bin/udevadm %{buildroot}/sbin
# probably not required, but let's just be on the safe side for now..
ln -sf /sbin/udevadm %{buildroot}%{_bindir}/udevadm
ln -sf /sbin/udevadm %{buildroot}%{_sbindir}/udevadm

# (tpg) this is needed, because udevadm is in /sbin
# altering the path allows to boot on before root pivot
sed -i -e 's#/bin/udevadm#/sbin/udevadm#g' %{buildroot}/%{systemd_libdir}/system/*.service

mkdir -p %{buildroot}%{_prefix}/lib/firmware/updates
mkdir -p %{buildroot}%{_sysconfdir}/udev/agents.d/usb
touch %{buildroot}%{_sysconfdir}/scsi_id.config

ln -s ..%{systemd_libdir}/systemd-udevd %{buildroot}/sbin/udevd
ln -s %{systemd_libdir}/systemd-udevd %{buildroot}%{udev_libdir}/udevd

# udev rules for zte 3g modems and drakx-net


mkdir -p %{buildroot}/lib/firmware/updates
# default /dev content, from Fedora RPM
mkdir -p %{buildroot}%{udev_libdir}/devices/{net,hugepages,pts,shm}
# From previous Mandriva /etc/udev/devices.d
mkdir -p %{buildroot}%{udev_libdir}/devices/cpu/0

#################
#	UDEV	#
#	END	#
#################

# (tpg) just delete this for now
# file /usr/share/man/man5/crypttab.5.xz 
# from install of systemd-186-2.x86_64 
# conflicts with file from package initscripts-9.25-10.x86_64
rm -rf %{buildroot}%{_mandir}/man5/crypttab*

# (akdengi) move README to systemd.README
mv %{buildroot}%{_initddir}/README %{buildroot}%{_initddir}/systemd.README
mv %{buildroot}%{_var}/log/README %{buildroot}%{_var}/log/systemd.README

# (akdengi) Use old network naming scheme
ln -sf /dev/null %{buildroot}%{udev_rules_dir}/80-net-name-slot.rules

# (akdengi) Use our implimentation of efi boot generator to mount EFI partition on /boot/efi
rm -f %{buildroot}%{systemd_libdir}/system-generators/systemd-efi-boot-generator 
install -m 0755 %{SOURCE15} %{buildroot}%{systemd_libdir}/system-generators/systemd-efi-boot-generator

%triggerin -- glibc
# reexec daemon on self or glibc update to avoid busy / on shutdown
# trigger is executed on both self and target install so no need to have
# extra own post
if [ $1 -ge 2 -o $2 -ge 2 ] ; then
	/bin/systemctl daemon-reexec 2>&1 || :
fi

%pre -n udev
if [ -d /lib/hotplug/firmware ]; then
	echo "Moving /lib/hotplug/firmware to /lib/firmware"
	mkdir -p /lib/firmware
	mv /lib/hotplug/firmware/* /lib/firmware/ 2>/dev/null
	rmdir -p --ignore-fail-on-non-empty /lib/hotplug/firmware
	:
fi

%post -n udev
/bin/systemctl --quiet try-restart systemd-udevd.service >/dev/null 2>&1 || :
/sbin/udevadm hwdb --update >/dev/null 2>&1 || :

%pre
# (cg) Cannot use rpm-helper scripts as it results in a cyclical dep as
# rpm-helper requires systemd-units which in turn requires systemd...
if ! getent group %{name}-journal >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}-journal >/dev/null || :
fi

# Write on first install or upgrade
if [ ! -r %{_prefix}/lib/sysctl.d/50-default.conf ]; then
  if [ ! -d %{_sysconfdir}/sysctl.d ]; then
    mkdir -m 0755 %{_sysconfdir}/sysctl.d
  fi
  cat > %{_sysconfdir}/sysctl.d/51-alt-sysrq.conf << EOF
# This file ensures that the Alt+SysRq Magic keys still work.
# This setting is insecure, although commonly expected and you can remove this
# file to disable this feature. It will not be readded on future systemd
# upgrades/updates.
# http://en.wikipedia.org/wiki/Magic_SysRq_key#Security
kernel.sysrq = 1
EOF

fi


%post
/usr/bin/systemd-machine-id-setup > /dev/null 2>&1 || :
/lib/systemd/systemd-random-seed save > /dev/null 2>&1 || :
/bin/systemctl daemon-reexec > /dev/null 2>&1 || :
/bin/systemctl start systemd-udevd.service systemd-udev.service >/dev/null 2>&1 || :
/bin/journalctl --update-catalog >/dev/null 2>&1 || :

if [ $1 == 1 ]; then
	# On first install process all tmpfiles that may have been installed before us
	# Hard requires on some packages on systemd might make cyclic deps on early
	# transactions.
	# We avoid systemd.conf so as not to create /run/nologin
	# NOTE We can probably revert to using filetriggers again for tmpfiles now that
	#      there is a --boot option which should make running --create without a
	#      basename config nice and safe.
	for tmpfile in %{_prefix}/lib/tmpfiles.d/*.conf; do
		if [ -f "$tmpfile" -a "$tmpfile" != "%{_prefix}/lib/tmpfiles.d/systemd-nologin.conf" ]; then
			/bin/systemd-tmpfiles --create $(basename "$tmpfile")
		fi
	done
fi

#start localectl service
/bin/systemctl restart systemd-localed.service

# Migrate /etc/sysconfig/clock
if [ ! -L /etc/localtime -a -e /etc/sysconfig/clock ] ; then
	. /etc/sysconfig/clock 2>&1 || :
	if [ -n "$ZONE" -a -e "/usr/share/zoneinfo/$ZONE" ] ; then
	    /usr/bin/ln -sf "../usr/share/zoneinfo/$ZONE" /etc/localtime >/dev/null 2>&1 || :
	fi
fi

# (tpg) this is needed for rsyslog
/bin/ln -s %{systemd_libdir}/system/rsyslog.service /etc/systemd/system/syslog.service >/dev/null 2>&1 || :

# (akdengi) For compartibility we need create symlink /etc/sysconfig/i18n to /etc/locale.conf
if [ ! -L /etc/sysconfig/i18n ]; then
	cp -f /etc/sysconfig/i18n /etc/locale.conf 
	/bin/ln -snf /etc/locale.conf /etc/sysconfig/i18n
fi

# Migrate HOSTNAME= from /etc/sysconfig/network
if [ -e /etc/sysconfig/network -a ! -e /etc/hostname ]; then
        unset HOSTNAME
        . /etc/sysconfig/network >/dev/null 2>&1 || :
        [ -n "$HOSTNAME" ] && echo $HOSTNAME > /etc/hostname 2>&1 || :
fi
/usr/bin/sed -i '/^HOSTNAME=/d' /etc/sysconfig/network >/dev/null 2>&1 || :

# Migrate the old systemd-setup-keyboard X11 configuration fragment
if [ ! -e /etc/X11/xorg.conf.d/00-keyboard.conf ] ; then
        /usr/bin/mv /etc/X11/xorg.conf.d/00-system-setup-keyboard.conf /etc/X11/xorg.conf.d/00-keyboard.conf >/dev/null 2>&1 || :
else
        /usr/bin/rm -f /etc/X11/xorg.conf.d/00-system-setup-keyboard.conf >/dev/null 2>&1 || :
fi

# sed-fu to add myhostname to the hosts line of /etc/nsswitch.conf
if [ -f /etc/nsswitch.conf ] ; then
        sed -i.bak -e '
                /^hosts:/ !b
                /\<myhostname\>/ b
                s/[[:blank:]]*$/ myhostname/
                ' /etc/nsswitch.conf
fi

# (tpg) move sysctl.conf to /etc/sysctl.d as since 207 /etc/sysctl.conf is skipped
if [ $1 -ge 2 ]; then
    if [ -e %{_sysconfdir}/sysctl.conf ] && [ ! -L %{_sysconfdir}/sysctl.conf ]; then
	mv -f %{_sysconfdir}/sysctl.conf %{_sysconfdir}/sysctl.d/99-sysctl.conf
	ln -s %{_sysconfdir}/sysctl.d/99-sysctl.conf %{_sysconfdir}/sysctl.conf
    fi
fi

%triggerin -- %{name} < 204
# (akdengi) Fix logind.conf for KDE - we need disable logind for suspend/hibernate if systemd < 198

if cat /etc/sysconfig/desktop | grep KDE; then
	cp /etc/systemd/logind.conf /etc/systemd/logind.conf.old
	sed -e 's/HandleSuspendKey=suspend/#HandleSuspendKey=suspend/' -i /etc/systemd/logind.conf
	sed -e 's/HandleHibernateKey=ignore/#HandleHibernateKey=hibernate/' -i /etc/systemd/logind.conf
	sed -e 's/HandleLidSwitch=ignore/#HandleLidSwitch=suspend/' -i /etc/systemd/logind.conf
fi

%triggerun -- %{name} < 208
chgrp -R systemd-journal /var/log/journal || :
chmod 02755 /var/log/journal || :
if [ -f /etc/machine-id ]; then
	chmod 02755 /var/log/journal/$(cat /etc/machine-id) || :
fi

%triggerun -- %{name} < 208-15
#Delete old generated boot-efi if present

#See for EFI present
if [ -d /sys/firmware/efi ]; then

umount -f /boot/efi
rm -f %{systemd_libdir}/system/boot-efi.*
rm -f %{systemd_libdir}/system/local-fs.target.wants/boot-efi.automount
fi

%triggerun -- %{name} < 208-21
#Delete getty target

if [ -d %{_sysconfdir}/systemd/system/getty.target.wants ]; then
 rm -rf %{_sysconfdir}/systemd/system/getty.target.wants
fi

%post units
if [ $1 -eq 1 ] ; then
# Try to read default runlevel from the old inittab if it exists
runlevel=$(/bin/awk -F ':' '$3 == "initdefault" && $1 !~ "^#" { print $2 }' /etc/inittab 2> /dev/null)
if [ -z "$runlevel" ] ; then
target="/lib/systemd/system/graphical.target"
else
target="/lib/systemd/system/runlevel$runlevel.target"
fi

# And symlink what we found to the new-style default.target
/bin/ln -sf "$target" %{_sysconfdir}/systemd/system/default.target 2>&1 || :

# Enable the services we install by default.
/bin/systemctl --quiet enable \
                getty@tty1.service \
                remote-fs.target \
                systemd-readahead-replay.service \
                systemd-readahead-collect.service \
                2>&1 || :
fi

hostname_new=`cat %{_sysconfdir}/hostname 2>/dev/null`
if [ -z $hostname_new ]; then
hostname_old=`cat /etc/sysconfig/network 2>/dev/null | grep HOSTNAME | cut -d "=" -f2`
	if [ ! -z $hostname_old ]; then
    		echo $hostname_old >> %{_sysconfdir}/hostname
else
    		echo "localhost" >> %{_sysconfdir}/hostname
fi
fi

%preun units
if [ $1 -eq 0 ] ; then
/bin/systemctl --quiet disable \
                getty@.service \
                remote-fs.target \
                systemd-readahead-replay.service \
                systemd-readahead-collect.service \
                2>&1 || :

/bin/rm -f /etc/systemd/system/default.target 2>&1 || :
fi

%postun units
if [ $1 -ge 1 ] ; then
	/bin/systemctl daemon-reload 2>&1 || :
fi


%changelog
* Mon Sep 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 208-36
+ Revision: e054e0d
- Add rpmlint filter

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 208-35
+ Revision: 6768529
- MassBuild#440: Increase release tag

* Thu May 22 2014 Tigro <ashejn@gmail.com> 208-34
+ Revision: 2b0065f
- bump release

* Thu May 22 2014 Tigro <ashejn@gmail.com> 208-33.1.path
+ Revision: eecd90c
- change sbin and bin order

* Wed May 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 208-33
+ Revision: a057f24
- Bump release

* Wed May 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 208-32
+ Revision: f9cc1ae
- Sort subpackages (except for post,pre etc stuff)

* Wed May 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 208-32
+ Revision: c5c79fc
- More cleanups

* Wed May 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 208-32
+ Revision: 5f1f690
- Drop few very old Obsoletes, sort Requires and BuildRequires, other minor cleanups

* Tue May 06 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 208-32
+ Revision: 85ed0f3
- micro fix

* Mon Apr 14 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 208-31
+ Revision: 0fce03a
- release up

* Mon Apr 14 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 208-30
+ Revision: 392208f
- Updated systemd.spec

* Mon Apr 14 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 208-29
+ Revision: 911cc80
- removed versioned require for chkconfig

* Tue Mar 11 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 208-28
+ Revision: 1a595a3
- hwdb: Add support for wlan keys on Packard Bell EASYNOTE laptops

* Fri Feb 28 2014 akdengi <alexander.kazancev@rosalab.ru> 208-27
+ Revision: 39bba70
- rediff 513 and drop 515 patches

* Thu Feb 27 2014 akdengi <alexander.kazancev@rosalab.ru> 208-27
+ Revision: 9b4fed8
- revork 511 patch

* Thu Feb 27 2014 akdengi <alexander.kazancev@rosalab.ru> 208-27
+ Revision: 6caab33
- drop patch 510

* Thu Feb 27 2014 akdengi <alexander.kazancev@rosalab.ru> 208-27
+ Revision: 0ad00e4
- SILENT delete fedora spec

* Thu Feb 27 2014 akdengi <alexander.kazancev@rosalab.ru> 208-27
+ Revision: ef645fb
- Use 'stable' version of patchset

* Thu Feb 20 2014 akdengi <kazancas@mandriva.ru> 208-26
+ Revision: 9ac5f79
- add qrencode

* Wed Feb 19 2014 akdengi <kazancas@mandriva.ru> 208-25
+ Revision: b82d153
- SILENT up release

* Wed Feb 19 2014 akdengi <kazancas@mandriva.ru> 208-24
+ Revision: 08efa32
- add pkgconfig(libgcrypt)

* Tue Feb 18 2014 akdengi <alexander.kazancev@rosalab.ru> 208-24
+ Revision: fcb963c
- Set max size for journal to 100M

* Fri Feb 14 2014 akdengi <kazancas@mandriva.ru> 208-23
+ Revision: f86846e
- return default target to graphical

* Thu Feb 13 2014 akdengi <alexander.kazancev@rosalab.ru> 208-22
+ Revision: 5e3a176
- remove swap check patch as applyd

* Thu Feb 13 2014 akdengi <alexander.kazancev@rosalab.ru> 208-22
+ Revision: f8ceed6
- Add heck swap size to hibernate: need > 98% of total RAM

* Thu Feb 13 2014 akdengi <alexander.kazancev@rosalab.ru> 208-22
+ Revision: 7b8e3f9
- Add heck swap size to hibernate: need > 98% of total RAM

* Tue Feb 11 2014 akdengi <alexander.kazancev@rosalab.ru> 208-21
+ Revision: 3585df3
- fix error in trigger

* Tue Feb 11 2014 akdengi <alexander.kazancev@rosalab.ru> 208-20
+ Revision: 912be10
- delete abandoned getty.target.wants

* Mon Feb 10 2014 akdengi <kazancas@mandriva.ru> 208-19
+ Revision: c1fc06a
- delete separate getty target wants and set default target to multu-user instead graphical

* Fri Feb 07 2014 akdengi <alexander.kazancev@rosalab.ru> 208-18
+ Revision: 0b5a245
- return gdisk find


